Bug 218133 - GDM ignores /etc/gdm/custom.conf?
GDM ignores /etc/gdm/custom.conf?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-artwork (Show other bugs)
5.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-01 17:24 EST by Paul Krizak
Modified: 2013-03-05 22:48 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 02:39:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Krizak 2006-12-01 17:24:58 EST
Description of problem:

I made a simple change to /etc/gdm/custom.conf, namely adding "SystemMenu=false"
to the [greeter] section.  However, when GDM starts up, it seemingly ignores the
option and displays the shutdown/reboot buttons anyway.  Looking at the strace
output, it appears that the option is being read, but is being forgotten somewhere:

17488 read(8, "GET_CONFIG greeter/SystemMenu :0"..., 4095) = 33
17488 sendto(8, "OK false\n", 8, MSG_DONTWAIT|MSG_NOSIGNAL, NULL, 0) = 8 

Version-Release number of selected component (if applicable): gdm-2.16.0-19.el5


How reproducible: easy


Steps to Reproduce:
1. add SystemMenu=false to [greeter] portion of /etc/gdm/custom.conf
2. restart GDM
3. Restart/Reboot buttons still appear
  
Actual results:
System menu appears

Expected results:
System menu is hidden

Additional info:
Comment 1 Ray Strode [halfline] 2006-12-01 17:29:37 EST
did you reboot or run

gdmflexiserver -c "UPDATE_CONFIG greeter/SystemMenu"

after making the change?

Comment 2 Paul Krizak 2006-12-01 17:34:34 EST
I did run init 3 / init 5 to ensure that gdm started from scratch.  With the
system up and running and at the login screen (fresh boot):

[skaven@ran059 /etc/gdm]$ sudo gdmflexiserver -c "GET_CONFIG greeter/SystemMenu"
OK false

And yet the login screen still allows you to shut down or reboot the system.
Comment 3 Ray Strode [halfline] 2006-12-01 17:36:05 EST
I think I see what's going on.  The RHEL5 theme is missing type attributes to
it's console show tags.

Things work correctly if you switch to the standard greeter, yes?
Comment 4 Paul Krizak 2006-12-01 17:45:05 EST
I'm afraid I don't know the "red hat way" of switching to another greeter than
the default.  I don't see anything in /etc/sysconfig or /etc/default to select
that...
Comment 5 Paul Krizak 2006-12-01 17:46:27 EST
Ah wait a minute I see what you mean -- yes, removing the theme and going to the
"Plain" greeter stuff does indeed remove the system menu.
Comment 6 Ray Strode [halfline] 2006-12-01 17:50:41 EST
Okay, so just to confirm, if you change back to the graphical greeter and then

if you open up /usr/share/gdm/themes/RHEL/RHEL.xml

(maybe make a backup first)

and change the 

<show modes="console"/> under the id="reboot_button" line to
<show modes="console" type="reboot"/>

and change the 

<show modes="console"/> under the id="hal_button" line to
<show modes="console" type="halt"/>

and restart gdm, does that fix things up?
Comment 7 Ray Strode [halfline] 2006-12-01 17:58:47 EST
Okay, I've reproduced the problem and can confirm that the steps in comment 6
fix things.

Thanks Paul for the report and troubleshooting.
Comment 8 RHEL Product and Program Management 2006-12-01 18:00:24 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 9 Paul Krizak 2006-12-01 18:01:03 EST
Indeed it does!  I presume this patch will be included in RHEL5-final?
Comment 12 Ray Strode [halfline] 2006-12-04 11:18:28 EST
Hi Paul, this fix is currently being evaluated for inclusion in Red Hat
Enterprise Linux 5.  A number of factors (like quality assurance resources,
development time, release engineering constraints) will be considered before
this particular change is committed for the GA release.
Comment 14 Nicole Dai 2006-12-11 02:38:37 EST
Reproduced the bug with gdm-2.16.0-19.el5 and verifided the problem has been
fixed in gdm-2.16.0-23.el5 on RHEL5-Client-20061207.0 with the following steps:
1. add SystemMenu=false to [greeter] portion of /etc/gdm/custom.conf
2. restart system
Result: Restart/Shut Down buttons disappeared.

Note You need to log in before you can comment on or make changes to this bug.